List origin servers
GET
/api/organizations/{organizationId}/origin-servers
Returns the origin servers belonging to the organization. Results can be filtered by name (partial, case-insensitive match), address (exact) and port (exact).
Authorizations
ApiToken
Long-lived API token created via POST /api/api-tokens (returned once in plaintext).
Type
API Key (header: X-API-TOKEN)
or
JWT
JWT access token obtained via POST /api/auth/login. Send as: Authorization: Bearer
Type
HTTP (bearer)
Parameters
Path Parameters
organizationId*
Organization identifier
Type
Requiredstring
Query Parameters
page
The collection page number
Type
integer
Default
1itemsPerPage
The number of items per page
Type
integer
Default
30Minimum
0Maximum
100name
Filter by origin server name (partial, case-insensitive match).
Type
string
name[]
Filter by origin server name (partial, case-insensitive match).
Type
array
address
Filter by exact origin address (hostname or IP).
Type
string
address[]
Filter by exact origin address (hostname or IP).
Type
array
port
Filter by exact origin port.
Type
string
port[]
Filter by exact origin port.
Type
array
Responses
origin-server collection
JSON "totalItems": 0, "search": { "@type": "string", "template": "string", "variableRepresentation": "string", "mapping": [ { "@type": "string", "variable": "string", "property": "string", "required": true } ] }, "view": { "@id": "string", "@type": "string", "first": "string", "last": "string", "previous": "string", "next": "string" }, "member": [ { "@context": "string", "@id": "string", "@type": "string", "id": "0f8fad5b-d9cb-469f-a165-70867728950e", "name": "primary-eu-west", "protocol": "https", "address": "origin.example.com", "port": 443, "requestHostname": "internal-app.example.com", "createdAt": "2026-01-15T09:30:00+00:00", "updatedAt": "2026-01-15T09:30:00+00:00" } ]
{
}
